API referenceCreating a launch
Check launch parameters
POST
Validates the parameters against the same bounds build-create uses, so a creator learns a rule before the signature prompt.
application/json- body
symbol*stringMatch
^[A-Z0-9]{2,10}$name*stringLength
1 <= length <= 64description?stringLength
length <= 500Default
""imageUri?|Default
nullwebsite?|Length
length <= 256x?|Length
length <= 256telegram?|Length
length <= 256components*array<>Items
1 <= items <= 5dnaUnitSol?numberRange
0 < valuecreator*stringMatch
^[1-9A-HJ-NP-Za-km-z]{32,44}$supply?integerRange
0 < valuecurveTargetSol?numberRange
0 < valuefeeBps?numbercreatorFeeShareBps?numberOK
application/json- response
A JSON object describing the launch these parameters would create.
curl -X POST 'https://api.dev.trend.fun/v1/launches/preview' \ -H 'Content-Type: application/json' \ -d '{ "creator": "8Kc8AJs3W9r8QJMBj7ufCbW5SumQXkTK5nL2EJp29Hfj", "symbol": "DOGS", "name": "Dogs of Solana", "description": "A basket of dog tokens.", "imageUri": "ipfs://bafybeigdyrzt5sfp7udm7hu76uh7y26nf3efuylqabf3oclgtqy55fbzdi", "components": [ { "mint": "EKpQGSJtjMFqKZ9KQanSqYXRcF8fBopzLHYxdM65zcjm", "targetBps": 6000 }, { "mint": "DezXAZ8z7PnrnRJjz3wXBoRgixCa6xjnB7YaB1pPB263", "targetBps": 4000 } ]}'{}